Subject: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Dec 2018 01:07:01 +0200

> So you mean that if Emacs can't fulfill a 'window-height' contract for
> a new window below the selected one, it shouldn't make a new one in
> the first place?  Then with an an alist entry called 'min-height' we
> could rewrite 'display-buffer-below-selected' as follows:

Another reason why this urgently needs to be fixed using
'display-buffer-below-selected' with 'window-height' is that
for example visiting a gpg file that fails to decrypt displays
the *Backtrace* buffer with (file-error "Opening input file" "Can't decrypt"
in another window that hides another essential buffer *Error*
(with explanation of the error raised while decrypting)
displayed in the same window.  But using 'display-buffer-below-selected'
both essential buffers will be displayed in separate windows.